{
	"parent":"minecraft:recipes/root",
	"rewards":{
		"recipes":[
			"minecraft:cherry_chest_boat"
		]
	},
	"criteria":{
		"has_boat":{
			"trigger":"minecraft:inventory_changed",
			"conditions":{
				"items":[{
					"tag":"minecraft:boats"
				}]
			}
		},
		"has_the_recipe":{
			"trigger":"minecraft:recipe_unlocked",
			"conditions":{
				"recipe":"minecraft:cherry_chest_boat"
			}
		}
	},
	"requirements":[
		[
			"has_boat",
			"has_the_recipe"
		]
	],
	"sends_telemetry_event":false
}